org.eclipse.graphiti.internal.command

## Class FeatureCommandWithContext

- java.lang.Object
- - org.eclipse.graphiti.internal.command.FeatureCommand
  - - org.eclipse.graphiti.internal.command.FeatureCommandWithContext

All Implemented Interfaces:
  IContextHolder, IFeatureAndContext, IFeatureHolder, IFeatureProviderHolder, IDescription, ICommand, IReadOnlyProvider

Direct Known Subclasses:
  GenericFeatureCommandWithContext, MoveAnchorFeatureCommandWithContext, MoveShapeFeatureCommandWithContext, ResizeShapeFeatureCommandWithContext

    public abstract class FeatureCommandWithContext
    extends FeatureCommand
    implements IFeatureAndContext

The Class FeatureCommandWithContext.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canUndo()` Can undo.
`IContext` `getContext()` Gets the context.
`boolean` `undo()` Undo.

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommand

`getDescription, getFeature, getFeatureProvider, isReadOnly`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureHolder

`getFeature`

### Methods inherited from interface org.eclipse.graphiti.internal.command.ICommand

`canExecute, execute`

### Method Detail

#### getContext

    public IContext getContext()

Gets the context.

Specified by:
  `getContext` in interface `IContextHolder`
Returns:
  Returns the context.

#### canUndo

    public boolean canUndo()

Description copied from interface: `ICommand`
Can undo.

Specified by:
  `canUndo` in interface `ICommand`
Returns:
  true, if successful

#### undo

    public boolean undo()

Description copied from interface: `ICommand`
Undo.

Specified by:
  `undo` in interface `ICommand`
Returns:
  true, if successful